import { useSelector } from 'react-redux'
import SearchList from './SearchList'
import CredentialsList from './CredentialsList'
import EditList from './EditList'
import { getIsOpen } from '../../../../../redux/control/selector'


const RightLists = () => {
  const isOpen = useSelector(getIsOpen)
  return (
    <div>
      {isOpen === 'credentials' && <CredentialsList />}
      {isOpen === 'search' && <SearchList />}
      {isOpen === 'edit' && <EditList/>}
  </div>
   )
}

export default RightLists